
Redmine - Feature #3366

Rename the "Tracker" field to "Severity"

2009-05-15 17:49 - Robert Pollak

Status: Closed Start date: 2009-05-15

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Reason: I'd like to use this field not just for "bug" or "feature", but with more values, as in Bugzilla:

Severity

This field describes the impact of a bug.

Blocker     Blocks development and/or testing work

Critical    crashes, loss of data, severe memory leak

Major       major loss of function

Normal      regular issue, some loss of functionality under specific circumstances

Minor       minor loss of function, or other problem where easy workaround is present

Trivial     cosmetic problem like misspelled words or misaligned text

Enhancement Request for enhancement

 Note that this severity is orthogonal to "priority": There can be trivial misspellings that are very nasty and therefore have high priority,

and there can be crashes that appear so seldom or irreproducible that fixing them has low priority.

Using "severity" also makes it very visible that there should be no separate patch tracker,

but the patch should be an attachment to the corresponding bug or feature issue.

History

#1 - 2009-05-15 18:27 - Zarooba Rozruba

I don't understand this request.  Tracker implies type of work:

Bug - code that is broken, needs fixing.  Aka: code that is written against design document, but does not do what design document specifies.

Feature - adding of new code, new functionality.  Aka: code that is outside of scope of original design document.

Support - non code related work, password change, setting change, etc.

What you are proposing is a new field, and Redmine already supports adding new fields.

Please head into Administration -> Custom Fields ->  and click ''new custom field''. Specify List format, and indicate if it is required field, and if

should automatically be added to all projects.

You can now track your Severities, however confusing they can be to your users.

#2 - 2009-05-15 21:21 - Robert Pollak

- Status changed from New to Resolved

I see.

So for my use case, I'd simply reconfigure to only have a single tracker e.g. called "Issues",

and a custom field "Severity" (where "Support" is an additional value).

#3 - 2009-05-17 07:56 - Zarooba Rozruba

actually, you could still have two trackers.

Support vs Problem

Where support is any help (and has typical priority)

While problem would have 'Severity' field

Please do notice that when you are in Administration -> Custom Fields, you can specify on which tracker a field should be active. So a problem could

have severities enabled on top of priorities, while Support would operate on priorities alone.
ps: not sure if Enhancement is a severity?

ps: tracker is to help you track reason of an issue. Is it because client wants something new (feature) or because developer screwed up (bug), or

because the server flakey/administrative tools lacking (support).

#4 - 2009-05-17 10:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#5 - 2009-12-28 11:59 - shubham chakraborty

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

i want to change the default field name, is it possible..

like rename Tracker to category, Start to Start Date etc etc...

Please reply asap.

Thanks

#6 - 2009-12-28 12:22 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Have a look at /config/locales
